# Generated by Django 4.0 on 2022-03-13 02:26

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0105_remove_anualplan_budget_left_and_more'),
    ]

    operations = [
        migrations.RenameModel(
            old_name='AnualPlan',
            new_name='AnnualPlan',
        ),
        migrations.RenameField(
            model_name='budgetreceiver',
            old_name='anual_plan',
            new_name='annual_plan',
        ),
        migrations.RenameField(
            model_name='cashtransfer',
            old_name='anual_plan',
            new_name='annual_plan',
        ),
        migrations.RenameField(
            model_name='internalbooking',
            old_name='anual_plan',
            new_name='annual_plan',
        ),
        migrations.RenameField(
            model_name='issuedinvoice',
            old_name='anual_plan',
            new_name='annual_plan',
        ),
        migrations.RenameField(
            model_name='receivedinvoice',
            old_name='anual_plan',
            new_name='annual_plan',
        ),
        migrations.RenameField(
            model_name='request',
            old_name='anual_plan',
            new_name='annual_plan',
        ),
        migrations.RenameField(
            model_name='zerosumbooking',
            old_name='anual_plan',
            new_name='annual_plan',
        ),
        migrations.AlterUniqueTogether(
            name='budgetreceiver',
            unique_together={('annual_plan', 'receiver')},
        ),
        migrations.AlterUniqueTogether(
            name='cashtransfer',
            unique_together={('annual_plan', 'internal_booking_number')},
        ),
        migrations.AlterUniqueTogether(
            name='internalbooking',
            unique_together={('annual_plan', 'internal_booking_number')},
        ),
        migrations.AlterUniqueTogether(
            name='issuedinvoice',
            unique_together={('annual_plan', 'internal_booking_number')},
        ),
        migrations.AlterUniqueTogether(
            name='receivedinvoice',
            unique_together={('vendor', 'vendor_invoice_number'), ('annual_plan', 'internal_booking_number')},
        ),
        migrations.AlterUniqueTogether(
            name='zerosumbooking',
            unique_together={('annual_plan', 'internal_booking_number')},
        ),
    ]
